io.agora.rtc

## Class EncodedAudioFrameReceiverInfo

- java.lang.Object
- - io.agora.rtc.EncodedAudioFrameReceiverInfo

-     public class EncodedAudioFrameReceiverInfo
      extends java.lang.Object

  Information about an encoded audio frame receiver.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `codec` The codec of the packet.
    `(package private) long` | `sendTs` The send time of the packet.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodedAudioFrameReceiverInfo()` Default constructor for EncodedAudioFrameReceiverInfo.
    `EncodedAudioFrameReceiverInfo(long sendTs, int codec)` Constructs EncodedAudioFrameReceiverInfo with send time and codec.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCodec()` Gets the codec of the packet.
    `long` | `getSendTs()` Gets the send time of the packet.
    `void` | `setCodec(int codec)` Sets the codec of the packet.
    `void` | `setSendTs(long sendTs)` Sets the send time of the packet.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sendTs

          long sendTs

      The send time of the packet.

    - #### codec

          private int codec

      The codec of the packet.

  - ### Constructor Detail

    - #### EncodedAudioFrameReceiverInfo

          public EncodedAudioFrameReceiverInfo()

      Default constructor for EncodedAudioFrameReceiverInfo.

    - #### EncodedAudioFrameReceiverInfo

          public EncodedAudioFrameReceiverInfo(long sendTs,
                                               int codec)

      Constructs EncodedAudioFrameReceiverInfo with send time and codec.
      Parameters:
        `sendTs` - The send time of the packet
        `codec` - The codec of the packet

  - ### Method Detail

    - #### getSendTs

          public long getSendTs()

      Gets the send time of the packet.
      Returns:
        The send time of the packet

    - #### setSendTs

          public void setSendTs(long sendTs)

      Sets the send time of the packet.
      Parameters:
        `sendTs` - The send time of the packet

    - #### getCodec

          public int getCodec()

      Gets the codec of the packet.
      Returns:
        The codec of the packet

    - #### setCodec

          public void setCodec(int codec)

      Sets the codec of the packet.
      Parameters:
        `codec` - The codec of the packet

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`